kudu-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Adar Lieber-Dembo <a...@cloudera.com>
Subject Heads-up: dropping JDK 7 support in the next Kudu release
Date Tue, 26 Mar 2019 05:08:50 GMT
I just merged a patch to master that drops JDK 7 support from Kudu's
Java artifacts (i.e. the Java client, Spark bindings, etc.). The
oldest supported JDK version is now JDK 8.

JDK 7 support has been deprecated since Kudu 1.5.0 (about a year and a
half ago) so there's been ample notice that this change was coming.
That said, if this change significantly impacts you, please let us
know; there's still plenty of time before the next Kudu release to
revisit this decision. Feel free to reply to this e-mail, or comment
directly on KUDU-2099.

Mime
View raw message